<!--
    Alfresco rights Webscript 
    Copyright (C) 2008  StarXpert
    Copyright (C) 2008  Cédric Bosdonnat

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or 
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->
<#assign nodeCount = 0/>
    
<#list permissions as childPerms>
<#assign child = childPerms[0]/>
<#assign perms = childPerms[1]/>
<#assign rights = childPerms[2]/>
<div id="${child.id}" class="node node${(nodeCount % 2 = 0)?string("Even", "Odd")}" 
         onclick="AdminPanel.toggleRights('${child.id}');">
    <div class="nodeName">
        <a href="javascript:AdminPanel.navigate('${child.id}')">
            ${child.name}
        </a>
    </div>
    <div class="summary">
        <div class="title">Rights</div>
            <table style="width: 94%" class="infos">
                <#list rights as right>
                <tr class="role">
                    <td>${right[0]}</td>
                    <#assign imageName = "denied" />
                    <#if right[1]>
                        <#assign imageName = "allowed"/>
                    </#if>
                    <td><img src="${url.context}/images/rights/${imageName}.png" /></td>
                </tr>
            </#list>
        </table>
    </div>
    <div class="details" style="display: none">
        <div class="title">Roles</div>
        <table style="width: 90%" class="infos">
            <tr>
                <td>
                    <table style="width:100%" cellspacing="0">
                        <#assign nbPerms = 0/>
                        <#list perms as permission>
                            <#assign nbPerms = nbPerms + 1/>
                        </#list>
                                
                        <#assign permCount = 0/>
                        <#assign perms_half = nbPerms / 2/>
                                
                        <#assign col = 1/>
                        <#list perms as permission>
                        <tr class="role">
                            <td>${permission[0]}</td>
                                <#assign imageName = "denied" />
                                <#if permission[1]>
                                    <#assign imageName = "allowed"/>
                                </#if>
                            <td><img src="${url.context}/images/rights/${imageName}.png" /></td>
                        </tr>
                        <#if (permCount >= perms_half - 1) && (col = 1)>
                    </table>
                </td>
                <td>
                    <table style="width:100%" cellspacing="0">
                        <#assign col = 2/>
                        </#if>
                        <#assign permCount = permCount + 1/>
                        </#list>
                        <#if nbPerms % 2 == 1>
                        <!-- This line is here only to complete the missing line -->
                        <tr><td>&nbsp;</td><td></td></tr>
                        </#if>
                    </table>
                </td>
            </tr>
        </table>
    </div>
</div>
<#assign nodeCount = nodeCount + 1/>
</#list>

<div style="display: none">
    <div id="displayPath">${node.displayPath}/${node.name}</div>
    <div id="parentId"><#if node != companyhome>${node.parent.id}<#else></#if></div>
</div>
        
<style type="text/css">
#rights-content .node {
    padding: 0.1em;
    padding-left: 0.5em; 
    color: #515D6B;
}

.nodeOdd {
    background: #F1F7FD;
}

.node .nodeName {
    font-weight: bolder;
    font-family: Tahoma,Arial,Helvetica,sans-serif;
    font-size: small;
}

.node .summary .title {
    font-style: italic;
    font-size: small;
    font-weight: bolder;
    margin: 0.2em 0em 0em 1em;
}

.node .summary .infos {
    margin: 0em 0em 0em 2em;
}

.node .details .title {
    font-style: italic;
    font-size: small;
    font-weight: bolder;
    margin: 0.2em 0em 0em 1em;
}

.node .details .infos {
    margin: 0em 0em 0em 2em;
}
</style>