/*
    Alfresco rights Webscript 
    Copyright (C) 2008  StarXpert
    Copyright (C) 2008  Cdric Bosdonnat

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or 
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
var AdminPanel = {
    selectedLogin : null,
    nodeRef : null,
    parentRef : null,
    serviceContext : null,
    
    updateParentButton : function () {
        var displayParent = "none";
        if (this.parentRef != null && this.parentRef != "") {
            displayParent = "inline";
        }
        $('parentSpan').setStyle('display', displayParent);
    },
    
    showUsers : function() {
        var loginsNode = $('logins');
        for (var i=0; i<logins.length; i++) {
            var option = document.createElement('option');
            option.value = logins[i];
            option.appendChild(document.createTextNode(logins[i]));
            loginsNode.appendChild(option);
        }
    },
    
    selectLogin : function() {
        var loginsNode = $('logins');
        this.selectedLogin = loginsNode.value;
        this.showRights();
    },
    
    showRights : function() {
        // Compute the space reference part of the URL
        var space = "";
        if (this.nodeRef) {
            space = "/" + this.nodeRef;
        }
        
        var rightsUrl = this.serviceContext + "/admin/rights/" + this.selectedLogin + space;
        
        // Send the request
        YAHOO.util.Connect.asyncRequest(
            "GET",
            rightsUrl,
            {
                success : function(response) {
                    // Update the rights list
                    $('rights-content').setHTML(response.responseText);
                    
                    // Update the node path 
                    AdminPanel.displayPath = $('displayPath').getText();
                    $('rights-path').setHTML(AdminPanel.displayPath);
                    
                    AdminPanel.parentRef = $('parentId').getText();
                    AdminPanel.updateParentButton();
                },
                failure : function (response) {
                    $('rights-content').setHTML("No available data");
                } 
            }
        );
    },
    
    toggleRights : function (uuid) {
        var details_query = '#' + uuid + ' .details';
        var details = $$(details_query);
        if (details.getStyle('display') != 'none') {
            details.setStyle('display', 'none');
        } else {
            details.setStyle('display', 'block');
        }
    },
    
    navigate : function (nodeId) {
        this.nodeRef = nodeId;
        this.showRights();
    },
    
    setDisplayPath : function (path) {
        $('rights-path').setHTML(path);
    }
};